
#ifndef DECISION_H
#define DECISION_H

#include <linux/ioctl.h> 

#define dwatchdog_major 154
#define dwatchdog_MINOR 154


#define DECISION_ENABLE_COUNTER           _IO(dwatchdog_major, 0)
#define DECISION_DISABLE_COUNTER          _IO(dwatchdog_major, 1)
#define DECISION_SET_COUNTER              _IOW(dwatchdog_major, 2, unsigned long int)
#define DECISION_SET_COUNTER_SOURCE       _IOW(dwatchdog_major, 3, int)
#define DECISION_SET_REMOTEPOWER_ON       _IOW(dwatchdog_major, 4, char)
#define DECISION_ENABLE_PCI_RESET         _IO(dwatchdog_major,  5)
#define DECISION_GET_COUNTER              _IOR(dwatchdog_major, 7, unsigned long int)
#define DEVICE_NAME "dwatchdog"

int EnableCounter(int file_desc);
int DisableCounter(int file_desc);
int SetCounter(int file_desc,unsigned long int value);
int SetCounterSource(int file_desc,int value);
int SetRemotePowerOn(int file_desc,char value);
int EnablePciReset(int file_desc);
unsigned long int GetCounter(int file_desc);

#endif


  

